%define upstream_name    XML-LibXSLT
%define upstream_version 1.78

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl interface to the gnome libxslt library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XML::LibXML) >= 1.700.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: libgdbm-devel
BuildRequires: libxslt-devel
BuildRequires: perl-devel
Requires:   perl(XML::LibXML) >= 1.59
%description
This module is a fast XSLT library, based on the Gnome libxslt engine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files 
%doc Changes META.json META.yml MYMETA.yml README example
%{_mandir}/*/*
%{perl_vendorarch}/XML
%{perl_vendorarch}/auto/XML

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.780.0-2.mga3
+ Revision: 375056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.780.0-1.mga3
+ Revision: 295145
- update to 1.78

* Wed May 30 2012 jquelin <jquelin> 1.770.0-2.mga3
+ Revision: 251339
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 1.770.0-1.mga2
+ Revision: 219828
- update to 1.77

* Wed Jan 25 2012 jquelin <jquelin> 1.760.0-1.mga2
+ Revision: 201085
- update to 1.76

* Sat Nov 05 2011 kharec <kharec> 1.750.0-1.mga2
+ Revision: 163499
- update to 1.75

* Thu Nov 03 2011 jquelin <jquelin> 1.740.0-1.mga2
+ Revision: 162392
- update to 1.74

* Fri Oct 14 2011 jquelin <jquelin> 1.730.0-1.mga2
+ Revision: 154904
- update to 1.73

* Mon Sep 26 2011 jquelin <jquelin> 1.710.0-1.mga2
+ Revision: 148502
- update to 1.71

* Sat Jun 11 2011 spuhler <spuhler> 1.700.0-4.mga2
+ Revision: 104084
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.700.0-3.mga1
+ Revision: 31490
- mageia rebuild
- imported package perl-XML-LibXSLT

